#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = "Teckids e.V."
SITENAME = "Teckids e.V."
SITEURL = ""
SITELOGO = "{}/images/logo.png".format(SITEURL)
FAVICON = "{}/images/favicon.png".format(SITEURL)

ARTICLE_PATHS = ["posts"]
PAGE_PATHS = ["pages"]
STATIC_PATHS = ["static", "images"]
PATH = "content"
PATH_METADATA = "pages/(?P<lang>[^/]*)"
OUTPUT_PATH = "public"
SLUGIFY_SOURCE = "basename"

TIMEZONE = "Europe/Berlin"

DEFAULT_LANG = "de"

THEME = "themes/teckids"

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

PLUGIN_PATHS = ["plugins"]
PLUGINS = ["i18n_subsites", "filetime_from_git", "sitemap", "summary", "jinja2content"]
MARKDOWN = {
    "extension_configs": {
        "markdown.extensions.attr_list": {},
        "markdown.extensions.md_in_html": {}
    }
}

# Navbar
MENUITEMS = [
    ("Startseite", "index.html"),
    ("Medien und Pädagogik", [
        ("Pädagogisches Leitbild", "pages/paedagogisches_leitbild.html"),
        ("Handreichungen", "pages/handreichungen.html"),
        ]),
    ("Mitgestalten", [
        ("Ziele", "pages/ziele.html"),
        ("Partizipation von Jugendlichen", "pages/partizipation.html"),
        ("Mitgliedschaft", "pages/mitgliedschaft.html"),
        ("Teckids-Account registrieren", "https://ticdesk.teckids.org/account/register"),
        ("Spenden", "pages/spenden.html"),
        ]),
    ]

FOOTERMENU = (("Spenden", "pages/spenden.html"),
              ("Kontakt", "pages/kontakt.html"),
              ("Newsletter", "pages/newsletter.html"),
              ("Nutzungsbedingungen und Datenschutz", "pages/nutzungsbedingungen_datenschutz.html"),
              ("AGB für Freizeiten", "pages/agb_freizeiten.html"),
              ("Impressum", "pages/impressum.html")
             )

MINIFOOTER_MENU = (("Teckids e.V.", ""),
                   ("Rochusstraße 2", ""),
                   ("53123 Bonn", ""),
                   ("verein@teckids.org", "mailto:verein@teckids.org"),
                   ("+49 228 92934160", "tel:+49 228 92934160"))

I18N_SUBSITES = {
    "en": {
        "MENUITEMS": [
            ("Home", "index.html"),
            ("Media and Pedagogy", [
                ("Educational Concept", "pages/paedagogisches_leitbild.html"),
                ("Handouts", "pages/handreichung.html"),
            ]),
            ("Contribution", [
                ("Goals", "pages/ziele.html"),
                ("Involving young people", "pages/partizipation.html"),
                ("Membership", "pages/mitgliedschaft.html"),
                ("Donate", "pages/spenden.html"),
            ]),
        ],
        "FOOTERMENU": [
            ("Donate", "pages/spenden.html"),
            ("Contact", "pages/kontakt.html"),
            ("Newsletter", "pages/newsletter.html"),
            ("Terms of use and privacy", "pages/nutzungsbedingungen_datenschutz.html"),
            ("Terms and conditions for activities", "pages/agb_freizeiten.html"),
            ("Imprint", "pages/impressum.html"),
        ]
    }
}

# Social widget
SOCIAL = (("You can add links in your config file", "#"),
          ("Another social link", "#"),)

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True

PRIMARY_DARK = "#FF6600"
PRIMARY_LIGHT = "#FF9955"
SECONDARY_DARK = "#0606FA"
SECONDARY_LIGHT = "#005EBE"

SPONSOR_LOGOS = (("/images/sponsors/logo_pysv.png", "https://www.python-verband.org/"),
                 ("/images/sponsors/logo-speedpartner.png", "https://www.speedpartner.de/"),
                 ("/images/sponsors/logo_informatik-aktuell.png", "https://www.informatik-aktuell.de/"))

SPONSORSTEXTS = {
    "de": "Wir bedanken uns bei unseren Sponsoren für die Unterstützung unserer Vereinsarbeit. Außerdem freuen wir uns immer über weitere Sponsoren, die ihr Engagement mit ihrem Logo hier bewerben möchten!",
}

SITEMAP = {
    "format": "txt",
}

CUSTOM_STYLESHEET = "{}/static/css/custom.css".format(SITEURL)
